Installing NixNote2 Beta 7 on Ubuntu 16.04 Xenial Xerus

After a little trial and error here is a brief instruction on how to install Nixnote2 Beta 7 on Ubuntu 16.04 Xenial Xerus. NixNote is not in software repositories for Ubuntu. You can however download it from the Sourceforge page.  This is a workaround until a patch is released. There is a bug filed for this already.

I tried installing Nixnote 2 beta 7 on Ubuntu 16.04 using the Deb package and that didn’t seem to work. I also tried to download the tar.gz file and run the install via the install.sh script and that didn’t work either.But, by luck, I found that doing both actually seems to work.

Go to https://sourceforge.net/projects/nevernote/files/NixNote2%20-%20Beta%207/ and download both the tar.gz and the deb file for the relevant architecture you’re trying to install.

Download them to your downloads folder. Change directories to the download folder.

Run the following first, which will install the dependencies.

This will error.

Then run the following in the terminal:

The -f fixes the broken dependencies. This is what it says on the man page for apt-get about the -f switch.

At this stage, nixnote2 still doesn’t run. This is where the tar.gz file comes in handy.

Extract the zipped file.

Change directory to nixnote2

Run the install script.

Press Alt + F2 and type nixnote2 and then press enter.

Then it should open.

Links:

https://sourceforge.net/projects/nevernote/files/NixNote2%20-%20Beta%207/
http://linux.die.net/man/8/apt-get
http://www.omgubuntu.co.uk/2016/04/ubuntu-16-04-deb-software-install-error
http://tutorialforlinux.com/2016/05/16/how-to-install-nixnote-2-on-ubuntu-16-04-xenial-32-64bit-linuxgnu/
https://sourceforge.net/p/nevernote/bugs/251/

Tagged , . Bookmark the permalink.

50 Responses to Installing NixNote2 Beta 7 on Ubuntu 16.04 Xenial Xerus

  1. Javier says:

    I’m getting this error after install:

    error while loading shared libraries: libpoppler-qt4.so.4

    • wolffhaven says:

      Hi Javier,

      I had issues to when I tried this again. I’ll need to update this post but for now this is what worked for me to get it installed again. Let me know if it works for you.

      – Download the latest beta7.deb
      – At the terminal run:
      sudo dpkg -i nixnote2-2.0-beta7_amd64.deb
      sudo apt-get -f install

      – This seems to install all the dependencies, but nixnote still doesn’t run.
      – If you then grab the tar file, unzip it and then run the install.sh script, it seems to install ok.
      – Press Alt + F2 and type Nixnote. Run it.

      Let me know if this works for you. I think this is a work around until the bug with third party .deb packages with Ubuntu 16.04 is fixed.

  2. Javier says:

    I’m getting this error after install:

    error while loading shared libraries: libpoppler-qt4.so.4

    • wolffhaven says:

      Hi Javier,

      I had issues to when I tried this again. I’ll need to update this post but for now this is what worked for me to get it installed again. Let me know if it works for you.

      – Download the latest beta7.deb
      – At the terminal run:
      sudo dpkg -i nixnote2-2.0-beta7_amd64.deb
      sudo apt-get -f install

      – This seems to install all the dependencies, but nixnote still doesn’t run.
      – If you then grab the tar file, unzip it and then run the install.sh script, it seems to install ok.
      – Press Alt + F2 and type Nixnote. Run it.

      Let me know if this works for you. I think this is a work around until the bug with third party .deb packages with Ubuntu 16.04 is fixed.

  3. wolffhaven says:

    I’ve updated the post to reflect the changes to make it work.

  4. wolffhaven says:

    I’ve updated the post to reflect the changes to make it work.

  5. Javier says:

    Nice!, now it works!

    Now I have my stuff on my setup and I’ve learned something new, -f switch!

    Thanks a lot wolffhaven.

  6. Javier says:

    Nice!, now it works!

    Now I have my stuff on my setup and I’ve learned something new, -f switch!

    Thanks a lot wolffhaven.

  7. wzr says:

    Brilliant. I have been looking for a fix since installed the 16.04

  8. wzr says:

    Brilliant. I have been looking for a fix since installed the 16.04

  9. Chemikyn says:

    I’d had the same error messages when trying to install NixNote2 on my own, and this worked for me too, thanks.

    I’m running Xubuntu 16.04

    Just one remark, though. When running this on the terminal, “sudo dpkg -I nixnote2-2.0-beta7_amd64.deb”, I found that it would only work typing the -i in lower case. So at the end in my case it read, “sudo dpkg -i nixnote2-2.0-beta7_amd64.deb”

  10. Chemikyn says:

    I’d had the same error messages when trying to install NixNote2 on my own, and this worked for me too, thanks.

    I’m running Xubuntu 16.04

    Just one remark, though. When running this on the terminal, “sudo dpkg -I nixnote2-2.0-beta7_amd64.deb”, I found that it would only work typing the -i in lower case. So at the end in my case it read, “sudo dpkg -i nixnote2-2.0-beta7_amd64.deb”

  11. Joe says:

    Worked great on Ubuntu Gnome 16.04. Thanks!

  12. Joe says:

    Worked great on Ubuntu Gnome 16.04. Thanks!

  13. Thanks for the tutorial! It worked great! Can I erase the unziped folder after I install?

  14. Thanks for the tutorial! It worked great! Can I erase the unziped folder after I install?

  15. Erik says:

    Many thanks for this quick and complete fix! I’ve been trying to use an evernote client on linux, since most of my work is inside evernote’s database, without success till now. These are the small things that make me a happy linux newcomer: being able to do the same things I’ve always done on my mac.

  16. Erik says:

    Many thanks for this quick and complete fix! I’ve been trying to use an evernote client on linux, since most of my work is inside evernote’s database, without success till now. These are the small things that make me a happy linux newcomer: being able to do the same things I’ve always done on my mac.

  17. Boo says:

    Thank you ! it worked just fine !

  18. Boo says:

    Thank you ! it worked just fine !

  19. David Yentzen says:

    I use Evernote extensively and looked a long time for an open source client I could use with Ubuntu based distros. I came across Nixnote at http://www.webupd8.org/ but could not get it working for me. I found your instructions on a search. It works perfectly—thanks so much for posting this!!!

  20. David Yentzen says:

    I use Evernote extensively and looked a long time for an open source client I could use with Ubuntu based distros. I came across Nixnote at http://www.webupd8.org/ but could not get it working for me. I found your instructions on a search. It works perfectly—thanks so much for posting this!!!

  21. MTset says:

    Thank you wolffhaven, absolutely brilliant tutorial! I can confirm that it worked on Ubuntu Mate 16.04 without any issues.

  22. MTset says:

    Thank you wolffhaven, absolutely brilliant tutorial! I can confirm that it worked on Ubuntu Mate 16.04 without any issues.

  23. bigc says:

    Excellent instructions – solved a challenge for me!!!! Thanks

  24. bigc says:

    Excellent instructions – solved a challenge for me!!!! Thanks

  25. Thank you so much!!!!

  26. Thank you so much!!!!

  27. Sebastian Lange says:

    Thanks! Great Tutorial

  28. Sebastian Lange says:

    Thanks! Great Tutorial

  29. Pingback: NixNote auf Ubuntu 16.4 LTS – Sebastian Langes Blog

  30. Pingback: NixNote auf Ubuntu 16.4 LTS – Sebastian Langes Blog

  31. goodmanner says:

    Thank you. it works well.

  32. goodmanner says:

    Thank you. it works well.

  33. James says:

    Hi
    Tried to install on Linux Mint 18, following your instructions I get the NixNote2 ‘button’ in my menu bar under internet but when I click on it I get the timer wheel (busy mouse icon) and then nothing!

    I am I missing something here?

    – I checked nixnote2 permissions under bin and it says ‘root’ is owner maybe this is why it does not run?

    If so how would I change this pls?

    Thanks
    James

  34. James says:

    Hi
    Tried to install on Linux Mint 18, following your instructions I get the NixNote2 ‘button’ in my menu bar under internet but when I click on it I get the timer wheel (busy mouse icon) and then nothing!

    I am I missing something here?

    – I checked nixnote2 permissions under bin and it says ‘root’ is owner maybe this is why it does not run?

    If so how would I change this pls?

    Thanks
    James

  35. James says:

    Linux Mint 18 – Nixnote2 Working

    Hi

    I downloaded the latest version ‘nixnote2-2.0-beta8_amd64.deb’ and right clicked on the package and selected ‘Open with GDebi Package Installer’.

    This installed the program with no errors and opened when I click on the menu-bar button.

    James

  36. James says:

    Linux Mint 18 – Nixnote2 Working

    Hi

    I downloaded the latest version ‘nixnote2-2.0-beta8_amd64.deb’ and right clicked on the package and selected ‘Open with GDebi Package Installer’.

    This installed the program with no errors and opened when I click on the menu-bar button.

    James

  37. Alex Ander says:

    Thank you so much!!!

  38. Alex Ander says:

    Thank you so much!!!

  39. Iván says:

    Great input!!

    It works fine as you said with Beta10 and Ubuntu 16.04.

    By suggesting it will be glad if you print screenshots with the login, because at the begin it is surprising because it doesn’t ask for login. It is just a suggesting.

    Thank you very much for your description. The article has help me a lot.

    Iván.

  40. Iván says:

    Great input!!

    It works fine as you said with Beta10 and Ubuntu 16.04.

    By suggesting it will be glad if you print screenshots with the login, because at the begin it is surprising because it doesn’t ask for login. It is just a suggesting.

    Thank you very much for your description. The article has help me a lot.

    Iván.

Leave a Reply

Your email address will not be published. Required fields are marked *